<?
// Parameters for database connection and queries
$db_server  = '';
$db_user    = '';
$db_pass    = '';
$db_db      = '';
$db_table   = 'tracker';

/*
 * Peers should wait at least this many seconds between announcements
 */
$min_announce_interval = 3600; // seconds

/*
 * Maximum desired announcements per minute for all peers combined
 * (announce interval will be increased if necessary to achieve this)
 */
$max_announce_rate = 3575; // announcements per minute

/*
 * Consider a peer dead if it has not announced in a number of seconds equal
 * to this many times the calculated announce interval at the time of its last
 * announcement (must be greater than 1; recommend 1.2)
 */
$expire_factor = 1.5;

/*
 * Peers should wait at least this many times the current calculated announce
 * interval between scrape requests
 */
$scrape_factor = 1.0;

/*
 * Should we require a certain annonce protocol?
 *   "standard" allows all protocols
 *   "no_peer_id" allows only no_peer_id and compact
 *   "compact" allows only compact
 */
$require_announce_protocol = 'compact';

?>